%clear all;
%load 'fricData.mat';
% Find the pressure curve

i = [1615; %indexes in data
     1680;
     1770;
     1848;
     1929;
     2008;
     2154;
     2220;
     2306;
     2404;
     2498;
     2575;
     2651;
     2721;
     2802;
     2868;
     2957;
     3005;
     3157;
     3228;
     3314;
     3408;
     3524;
     3620;
     3712;
     3851;
     3977;
     4097;
     4219;
     4325;
     4426;
     4531;
     4652;
     4777;
     4879;
     4968;
     5059;
     5160];
j = ceil(i/5)+730; %indexes in pbit

qp      = data(i,2);
qback   = data(i,5);
qc      = data(i, 38);
pp      = data(i, 16);
pc      = data(i, 36);
pbit    = pbitMeas(j,1);
phydro  = 263.6061;

%% 11 functions
c1 = 0;
c2 = 200;
c3 = 400;
c4 = 600;
c5 = 800;
c6 = 1000;
c7 = 1200;
c8 = 1400;
c9 = 1600;
c10 = 1800;
c11 = 2000;
%c = [c1, c2, c3, c4, c5];
mu1 = 200;
mu2 = 200;
mu3 = 200;
mu4 = 200;
mu5 = 200;
mu6 = 200;
mu7 = 200;
mu8 = 200;
mu9 = 200;
mu10= 200;
mu11= 200;
%mu = [mu1, mu2, mu3, mu4, mu5];
%mu6 = 0.25;

i = 1;
qpSpan = 0:2:2000;
for x=qpSpan
    w1(i) = baseFunc(x, c1, mu1);
    i = i+1;
end

i=1;
for x=qpSpan
    w2(i) = baseFunc(x, c2, mu2);
    i=i+1;
end
i=1;
for x=qpSpan
    w3(i) = baseFunc(x, c3, mu3);
    i=i+1;
end
i=1;
for x=qpSpan
    w4(i) = baseFunc(x, c4, mu4);
    i=i+1;
end
i=1;
for x=qpSpan
    w5(i) = baseFunc(x, c5, mu5);
    i=i+1;
end
i=1;
for x=qpSpan
    w6(i) = baseFunc(x, c6, mu6);
    i=i+1;
end
i=1;
for x=qpSpan
    w7(i) = baseFunc(x, c7, mu7);
    i=i+1;
end
i=1;
for x=qpSpan
    w8(i) = baseFunc(x, c8, mu8);
    i=i+1;
end
i=1;
for x=qpSpan
    w9(i) = baseFunc(x, c9, mu9);
    i=i+1;
end
i=1;
for x=qpSpan
    w10(i) = baseFunc(x, c10, mu10);
    i=i+1;
end
i=1;
for x=qpSpan
    w11(i) = baseFunc(x, c11, mu11);
    i=i+1;
end


wk = w1+w2+w3+w4+w5+w6+w7+w8+w9+w10+w11;
phi1 = w1./wk;
phi2 = w2./wk;
phi3 = w3./wk;
phi4 = w4./wk;
phi5 = w5./wk;
phi6 = w6./wk;
phi7 = w7./wk;
phi8 = w8./wk;
phi9 = w9./wk;
phi10 = w10./wk;
phi11 = w11./wk;


theta1 = 0;
theta2 = 1.5;
theta3 = 2.8;
theta4 = 4;
theta5 = 5;
theta6 = 6;
theta7 = 7;
theta8 = 9;
theta9 = 11;
theta10= 13;
theta11= 15;

%theta = [theta1, theta2, theta3, theta4, theta5];


Pfric = pbit-pc-phydro;
PfricHat = phi1*theta1 + phi2*theta2+phi3*theta3+ phi4*theta4+ phi5*theta5...
    +phi6*theta6+phi7*theta7+phi8*theta8+theta9*phi9+phi10*theta10+phi11*theta11;


figure
plot(qp, Pfric,'o', qpSpan, PfricHat,'r--');
grid on
ylabel('\phi^T\theta');
xlabel('q_{bit} [ltr/min]');
legend('P_{fric}^a', 'P_{fric}^a Hat', 'location','southeast');
axis([0 2000 -2 16])
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperSize', [15 4]);
set(gcf, 'PaperPosition', [0 0 15 4]);
%pause
%saveas(gcf,'C:\Master\LaTeX\fig\fricApprox11Bspline','pdf')


figure
plot(qpSpan, phi1,'b', qpSpan, phi2, 'r',qpSpan, phi3, 'b',...
    qpSpan,phi4, 'r',qpSpan, phi5, 'b',qpSpan, phi6, 'r',qpSpan, phi7, 'b'...
    ,qpSpan, phi8, 'r',qpSpan, phi9, 'b',qpSpan, phi10, 'r',qpSpan, phi11, 'b');
grid on;
ylabel('\phi_i');
xlabel('q_{bit} [ltr/min]');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperSize', [15 4]);
set(gcf, 'PaperPosition', [0 0 15 4]);
%pause
%saveas(gcf,'C:\Master\LaTeX\fig\fricApprox11BsplinePhi','pdf')

% subplot(313), plot(qpSpan, w1, 'b', qpSpan, w2, 'r',qpSpan, w3, 'b',...
%     qpSpan, w4, 'r',qpSpan, w5, 'b',qpSpan, w6, 'r',qpSpan, w7, 'b',...
%     qpSpan, w8, 'r',qpSpan, w9, 'b',qpSpan, w10, 'r',qpSpan, w11, 'b');%,qpSpan, w6, 'r');
% grid on;
% ylabel('\omega_i');
% xlabel('q_p [ltr/min]');

%% 3 functions
close all
c1 = 500;
c2 = 1000;
c3 = 2000;
% c4 = 800;
% c5 = 1000;
% c6 = 1400;
% c7 = 2000;
%c = [c1, c2, c3];
mu1 = 500;
mu2 = 500;
mu3 = 1000;
% mu4 = 300;
% mu5 = 300;
% mu6 = 300;
% mu7 = 500;

%mu = [mu1, mu2, mu3];

i = 1;
qpSpan = 0:2:2000;
for x=qpSpan
    w1(i) = baseFunc(x, c1, mu1);
    i = i+1;
end

i=1;
for x=qpSpan
    w2(i) = baseFunc(x, c2, mu2);
    i=i+1;
end
i=1;
for x=qpSpan
    w3(i) = baseFunc(x, c3, mu3);
    i=i+1;
end
% i=1;
% for x=qpSpan
%     w3(i) = baseFunc(x, c3, mu3);
%     i=i+1;
% end
% i=1;
% for x=qpSpan
%     w4(i) = baseFunc(x, c4, mu4);
%     i=i+1;
% end
% i=1;
% for x=qpSpan
%     w5(i) = baseFunc(x, c5, mu5);
%     i=i+1;
% end
% i=1;
% for x=qpSpan
%     w6(i) = baseFunc(x, c6, mu6);
%     i=i+1;
% end
% i=1;
% for x=qpSpan
%     w7(i) = baseFunc(x, c7, mu7);
%     i=i+1;
% end


wk = w1+w2+w3;%+w4+w5+w6+w7;
phi1 = w1;%./wk;
phi2 = w2;%./wk;
phi3 = w3;%./wk;
% phi4 = w4./wk;
% phi5 = w5./wk;
% phi6 = w6./wk;
% phi7 = w7./wk;


theta1 = 3.2;
theta2 = 6;
theta3 = 16;
% theta4 = 7;
% theta5 = 8;
% theta6 = 9;
% theta7 = 10;

%theta = [theta1, theta2, theta3];


Pfric = pbit-pc-phydro;
PfricHat = phi1*theta1 + phi2*theta2+phi3*theta3;%+ ... 
%    phi4*theta4+phi5*theta5+phi6*theta6+phi7*theta7;

figure
plot(qp, Pfric,'o', qpSpan, PfricHat,'r--');
grid on
ylabel('\phi^T\theta');
xlabel('q_{bit} [ltr/min]');
legend('P_{fric}^a', 'P_{fric}^a Hat', 'location','southeast');
axis([0 2000 -2 16])
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperSize', [15 4]);
set(gcf, 'PaperPosition', [0 0 15 4]);
%pause
%saveas(gcf,'C:\Master\LaTeX\fig\fricApprox3Bspline','pdf')

figure
plot(qpSpan, phi1,'b', qpSpan, phi2, 'r',qpSpan, phi3, 'b');%, qpSpan,phi4, 'r',qpSpan, phi5, 'b', qpSpan, phi6,'r', qpSpan,phi7,'b');
grid on;
ylabel('\phi_i');
xlabel('q_{bit} [ltr/min]');
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperSize', [15 4]);
set(gcf, 'PaperPosition', [0 0 15 4]);
%pause
%saveas(gcf,'C:\Master\LaTeX\fig\fricApprox3BsplinePhi','pdf')

% subplot(313), plot(qpSpan, w1, 'b', qpSpan, w2, 'r',qpSpan, w3, 'b');%,qpSpan, w4, 'r',qpSpan, w5, 'b',qpSpan, w6, 'r',qpSpan, w7, 'b')
% grid on;
% ylabel('\omega_i');
% xlabel('q_p [ltr/min]');


