function [qpump qback] = getqpump(simLength)

qpump = zeros(1, simLength+1);
qback = zeros(1, simLength+1);
for i = 1:200
    qpump(i) = 1000/6e4;
end

if(simLength >= 350)
    for i = 201:230
        qpump(i) = (1000-((i-200)*1000/30))/6e4;
    end

    for i = 231:250
        qpump(i) = 0;
    end

    for i = 251:270
        qpump(i) = 0/6e4;
    end
    
    for i = 271:350
        qpump(i) = 0;
    end
    
    for i = 351:380
        qpump(i) = (i-350)*(1000/30)/6e4;
    end

    for i = 381:550
        qpump(i) = 1000/6e4;
    end
end


if(simLength >= 1000)
    for i = 551:670
        qpump(i) = (1000-((i-550)*1000/120))/6e4;
    end
    
    for i = 671:700
        qpump(i) = 0;
    end
    
    for i = 701:730
        qpump(i) = 0/6e4;
    end
    
    for i = 731:790
        qpump(i) = 0;
    end
    
    for i = 791:910
        qpump(i) = (i-790)*(1000/120)/6e4;
    end
    
    for i = 911:1001
        qpump(i) = 1000/6e4;
    end
end

qback(qpump>400/6e4)    = 200/6e4;
qback(qpump<=400/6e4)   = 400/6e4;

% figure;
% plot(1:simLength+1,qpump*6e4, 1:simLength+1,qback*6e4);
% grid on;
