%Find hydrostatic pressure

%data: 3000:3035
%pbit: 1330:1337

s = 3000;
e = 3090;

s2 = ceil(s/5)+730;
e2 = ceil(e/5)+730;

t1 = s:e;
t2 = s:5:e;

avg = ((-data(s:5:e,16)+pbitMeas(s2:e2,1))+...
         (pbitMeas(s2:e2,1)-data(s:5:e,36)))/2;

figure
hold on
plot(t2, -data(s:5:e,16)+pbitMeas(s2:e2,1));
plot(t2, pbitMeas(s2:e2,1)-data(s:5:e,36),'r');
plot(t2,avg,'k')
legend('hydro from drillst','hydro from annulus', 'avg')
grid on;
hold off;

disp('average hydrostatic pressure: ')
mean(avg)
