function initPar = getInitPar(plantPar, tuningPar)

initPar.Pp0     = 80;
initPar.Pc0     = 8;
initPar.PcHat0  = initPar.Pc0;
initPar.qbit0   = 1800/6e4;
initPar.qbitHat0= 1700/6e4;
initPar.xf0     = 0.15;       
        l1      = tuningPar.l1;
initPar.xiHat0  = initPar.qbitHat0+l1*initPar.Pp0;

initPar.thetaHat0 = 0*tuningPar.theta;


%-8.3640e-006
%a1      = plantPar.betad/plantPar.Vd;
%hbit    = plantPar.hbit;
Gamma   = tuningPar.Gamma;

initPar.sigmaHat0= [50 9+75-0.6667 4+30-0.6667 7+60-0.3333] + [0.0083*Gamma(1,1) 0.0083*Gamma(2,2) ...
                                        0.0068*Gamma(3,3) 0.0006*Gamma(4,4)];

%initPar.theta3Hat0 = 14000;

%POLY/KALMAN
initPar.x0 = [initPar.Pp0, initPar.qbit0, plantPar.Fd + plantPar.Fa];
initPar.xHat0 = [initPar.Pp0, initPar.qbitHat0, plantPar.Fd+2*plantPar.Fa];
initPar.P0 = 1e-3*eye(3);%[1 1 1;1 1 1; 1 1 1];

end