i = 1;

c1 = 0.25;
mu1 = 0.5;
c2 = 0.75;
mu2 = 0.5;

for x=0:0.01:1
    w1(i) = baseFunc(x, c1, mu1);
    i = i+1;
end

i=1;
for x=0:0.01:1
    w2(i) = baseFunc(x, c2, mu2);
    i=i+1;
end

wk = w1+w2;
phi1 = w1./wk;
phi2 = w2./wk;

t = 0:0.01:1;

theta1 = 0.8;
theta2 = 1.2;

Pfric = 0.16500e-2*(t./6).^2;
PfricHat = phi1*theta1 + phi2*theta2;


figure
subplot(311), plot(t, PfricHat,'k','LineWidth',1.5);%, [0.25,0.75], [0.8 1.2],'x', 'MarkerSize',10,'LineWidth',1.5);
grid on
ylabel('\phi^T\theta');
axis([0 t(end) 0.75 1.25]);
subplot(312), plot(t, phi1, t, phi2, 'r');
grid on;
ylabel('\phi_i');
subplot(313), plot(t, w1, t, w2, 'r');
grid on;
ylabel('\omega_i');

