function [qpump qback] = getqpump2(simLength)

qpump = zeros(1, simLength+1);
qback = zeros(1, simLength+1);
for i = 1:800
    qpump(i) = 1000/6e4;
end


    for i = 801:920
        qpump(i) = (1000-((i-800)*1000/120))/6e4;
    end

    for i = 921:1500
        qpump(i) = 0;
    end

    for i = 1501:1620
        qpump(i) = (i-1500)*(1000/120)/6e4;
    end

    for i = 1621:2400
        qpump(i) = 1000/6e4;
    end


    for i = 2401:2520
        qpump(i) = (1000-((i-2400)*1000/120))/6e4;
    end
    
    for i = 2521:3400
        qpump(i) = 0;
    end
    
    for i = 3401:3521
        qpump(i) = (i-3401)*(1000/120)/6e4;
    end
    
    for i = 3522:4001
        qpump(i) = 1000/6e4;
    end


qback(qpump>400/6e4)    = 200/6e4;
qback(qpump<=400/6e4)   = 400/6e4;

figure;
plot(1:simLength+1,qpump*6e4, 1:simLength+1,qback*6e4);
grid on;
