%Function to check time delay between the two datasets

%Plot of Pp, Pc and pbit to check the time delay

%In "data" the ramp is from 1462:5162 (02:24:21-03:26:01)
%In "pbit" the ramp is from 1733:2473 (02:24:21-03:26:01)

t1 = 0:3700;
t2 = 0:5:3700;

figure
hold on;
plot(t1, data(1462:5162,16));

plot(t1, 10*data(1462:5162,36),'r');

plot(t2, pbitMeas(1013+10:1753+10,1)-97.5,'k');
grid on;
legend('pp','10*pc','Pbit');
hold off;
